ALTER TABLE `xhpc_charging_station`
    ADD COLUMN `equipment_owner_id` `equipment_owner_id` VARCHAR(10) NULL DEFAULT NULL COMMENT '产权所属单位ID' COLLATE 'utf8mb4_general_ci' AFTER `running_total_power`,
    ADD COLUMN `is_alone_apply` INT NULL COMMENT '是否独立报桩' AFTER `equipment_owner_id`,
    ADD COLUMN `account_number` VARCHAR(20) NULL COMMENT '户号(国网电费账单 户号)' AFTER `is_alone_apply`,
    ADD COLUMN `capacity` `capacity` DOUBLE(10,4) NULL DEFAULT NULL COMMENT '容量(独立电表 申请的功 率)' AFTER `account_number`,
	ADD COLUMN `country_code` VARCHAR(4) NULL DEFAULT NULL COMMENT '充电站国家代码' AFTER `capacity`,
	ADD COLUMN `is_open` INT(4) NULL DEFAULT NULL COMMENT '小区是否对外开放（0 否 1是）' AFTER `country_area_code`;
    ADD COLUMN `is_open` `is_open` INT(4) NULL DEFAULT '0' COMMENT '小区是否对外开放（0 否 1是）' AFTER `country_area_code`,
    ADD COLUMN `park_fee_type` INT(10) NULL DEFAULT '3' COMMENT '停车收费类型（0停车收费 1停车免费 2限时免费 3充电限免）' AFTER `is_open`,
    ADD COLUMN `toilet_flag` INT(10) NULL DEFAULT '1' COMMENT '是否配备卫生间（0无 1有）' AFTER `park_fee_type`,
    ADD COLUMN `store_flag` INT(10) NULL DEFAULT '0' COMMENT '是否配备便利店（0无 1有）' AFTER `toilet_flag`,
    ADD COLUMN `lounge_flag` INT(10) NULL DEFAULT '0' COMMENT '是否配备休息室（0无 1有）' AFTER `store_flag`,
    ADD COLUMN `canopy_flag` INT(10) NULL DEFAULT '0' COMMENT '是否配备雨棚（0无 1有）' AFTER `lounge_flag`,
    ADD COLUMN `printer_flag` INT(10) NULL DEFAULT '0' COMMENT '是否有小票机（0无 1有）' AFTER `canopy_flag`,
    ADD COLUMN `barrier_flag` INT(10) NULL DEFAULT '1' COMMENT '是否有道闸（0无 1有）' AFTER `printer_flag`,
    ADD COLUMN `parking_lock_flag` INT(10) NULL DEFAULT '0' COMMENT '是否有地锁（0无 1有）' AFTER `barrier_flag`,
    ADD COLUMN `is_demand_response` INT(10) NULL DEFAULT '0' COMMENT '是否参与需求响应（0否 1是）' AFTER `parking_lock_flag`,
    ADD COLUMN `is_support_orderly_charging` INT(10) NULL DEFAULT '0' COMMENT '有序充电场站（0否 1是）' AFTER `is_demand_response`,
    ADD COLUMN `is_energystorage` INT(10) NULL DEFAULT '0' COMMENT '是否有存能设备（0否 1是）' AFTER `is_support_orderly_charging`,
    ADD COLUMN `construction_time` VARCHAR(50) NULL DEFAULT NULL COMMENT '建设时间' AFTER `is_energystorage`,
    ADD COLUMN `station_status` INT(4) NULL DEFAULT NULL COMMENT '场站建设状态' AFTER `construction_time`,
   ADD COLUMN `open_all_day` INT(4) NULL DEFAULT NULL COMMENT '是否全天开放（0 否 1是，为零时营业时间必填）' AFTER `station_status`,
	ADD COLUMN `busine_hours` VARCHAR(100) NULL DEFAULT NULL COMMENT '推荐格  式：周一 至周日 00:00-24:00' AFTER `open_all_day`,
    ADD  COLUMN `electricity_fee` VARCHAR(100) NULL DEFAULT NULL COMMENT '充电费描述' AFTER `busine_hours`,
    ADD  COLUMN `service_fee` VARCHAR(100) NULL DEFAULT NULL COMMENT '服务费率' AFTER `electricity_fee`,
	ADD COLUMN `park_free` INT(4) NULL DEFAULT NULL COMMENT '是否免费停车（0 否 1是）' AFTER `service_fee`,
	ADD COLUMN `park_fee` VARCHAR(100) NULL DEFAULT NULL COMMENT '停车费描述' AFTER `park_free`,
	ADD COLUMN `payment` VARCHAR(100) NULL DEFAULT NULL COMMENT '支付方式：刷卡、线上、现金 电子钱包：微信/支付宝 ' AFTER `park_fee`;
    ADD COLUMN `equipment_type` VARCHAR(100) NULL DEFAULT 1 COMMENT '设备类型：1：直流设备 2：交流设备 3：交直流一体设备' AFTER `payment`;
    ADD COLUMN `area_code_countryside` VARCHAR(10) NULL DEFAULT NULL COMMENT '充电站省市辖区编码' AFTER `equipment_type`,
	ADD COLUMN `swap_match_cars_name` VARCHAR(100) NULL DEFAULT NULL COMMENT '服务车型描述' AFTER `area_code_countryside`,
	ADD COLUMN `station_classification` INT(4) NULL DEFAULT NULL COMMENT '站点分类' AFTER `swap_match_cars`,
	ADD COLUMN `general_application_type` INT(4) NULL DEFAULT NULL COMMENT '通用类型' AFTER `station_classification`,
	ADD COLUMN `round_the_clock` INT(4) NULL DEFAULT NULL COMMENT '7*24小时营业' AFTER `general_application_type`,
	ADD COLUMN `park_type` INT(4) NULL DEFAULT NULL COMMENT '停车费类型' AFTER `round_the_clock`,
	ADD COLUMN `electncity_type` INT(4) NULL DEFAULT NULL COMMENT '电费类型' AFTER `park_type`,
	ADD COLUMN `business_expand_type` INT(4) NULL DEFAULT NULL COMMENT '报装类型' AFTER `electncity_type`,
	ADD COLUMN `rated_power` DOUBLE(10,4) NULL DEFAULT NULL COMMENT '站点额定总功率' AFTER `business_expand_type`,
	ADD COLUMN `period_fee` INT(4) NULL DEFAULT NULL COMMENT '峰谷分时' AFTER `rated_power`,
	ADD COLUMN `official_run_time` VARCHAR(50) NULL DEFAULT NULL COMMENT '正式投运时间' AFTER `period_fee`,
	ADD COLUMN `video_monitor` INT(4) NULL DEFAULT NULL COMMENT '视频监控配套情况' AFTER `official_run_time`,
    ADD COLUMN `barrier_gate_id` INT(4) NULL DEFAULT NULL COMMENT '道闸' AFTER `video_monitor`;

ALTER TABLE `xhpc_charging_pile`
    ADD COLUMN `equipment_product_code` VARCHAR(30) NULL DEFAULT NULL COMMENT '设备出厂编码（由设备生厂商定义的设备出厂唯一编码）' AFTER `tenant_id`,
	ADD COLUMN `transformer_id` VARCHAR(30) NULL DEFAULT NULL COMMENT '变压器户号' AFTER `equipment_product_code`,
	ADD COLUMN `new_national_standard` INT(4) NULL DEFAULT NULL COMMENT '是否新国标（0否 1是）' AFTER `construction_time`,
	ADD COLUMN `vin_flag` INT(4) NULL DEFAULT NULL COMMENT '是否支持VIN码识别（0否 1是）' AFTER `new_national_standard`,
	ADD COLUMN `equipment_status` INT(4) NULL DEFAULT NULL COMMENT '设备状态（0未知 1建设中 5关闭下线 6维护中 50正常使用）' AFTER `vin_flag`,
	ADD COLUMN `equipment_purpose` INT(4) NULL DEFAULT NULL COMMENT '设备用户（1公共 50个人 100公交（专用））' AFTER `equipment_status`,
   ADD COLUMN `manufacturer_id` VARCHAR(50) NULL DEFAULT NULL COMMENT '设备生产商组织机构代码' AFTER `equipment_purpose`;


ALTER TABLE `xhpc_charge_order`
    ADD COLUMN `station_total_warning_num` INT(4) NULL DEFAULT NULL COMMENT '充电站累计告警数量' AFTER `vin_normal`;


UPDATE `rycloud`.`xhpc_area` SET `code`='510156' WHERE  `code`=510186;

INSERT INTO `rycloud`.`xhpc_area` (`code`, `pcode`, `name`, `short_name`, `merger_name`, `province`, `city`, `level`, `lng`, `lat`, `letter`, `pinyin`, `first_char`, `status`, `create_user`, `create_dept`, `create_time`, `update_user`, `update_time`, `is_deleted`, `tenant_id`)
VALUES ('510102', '510100', '高新区', '高新区', '四川省/成都市/高新区', '四川省', '成都市', '3', '104.08347', '30.65614', 'JXQ', 'gaoxingqu', 'C', '0', NULL, NULL, '2019-12-19 11:44:50', NULL, '2019-12-19 11:44:50', '0', '000000');

CREATE TABLE `xhpc_equipment_accident` (
                                           `equipment_accident_id` bigint(20) NOT NULL AUTO_INCREMENT,
                                           `area_code` varchar(6) DEFAULT NULL COMMENT '区域代码',
                                           `address` varchar(255) DEFAULT NULL COMMENT '事故地点',
                                           `accident_entity` int(4) DEFAULT NULL COMMENT '事故主题 1.运营商 2车企 3.设备制造商',
                                           `type` int(4) DEFAULT NULL COMMENT '事故类型 1.充电设备质量问题 2.电动车电池问题 3.电网故障 4.充电站管路 99.其他',
                                           `accident_reason` text COMMENT '事故原因',
                                           `level` int(4) DEFAULT NULL COMMENT '事故分级 1.造成经济损失且有人员伤亡 2.造成人员伤亡 3.造成经济损失但未造成人员伤亡 4.未造成经济损失且无人员伤亡',
                                           `accident_time` datetime DEFAULT NULL COMMENT '发生时间',
                                           `description` text COMMENT '事故文字描述',
                                           `pictures` text COMMENT '现场图片',
                                           `analysis_report` text COMMENT '事故分析报告',
                                           `del_flag` int(2) DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
                                           `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                           `create_by` varchar(30) CHARACTER SET utf8 DEFAULT '' COMMENT '创建者',
                                           `update_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                           `update_by` varchar(30) CHARACTER SET utf8 DEFAULT NULL COMMENT '更新者',
                                           `remark` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT '备注',
                                           `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户id',
                                           PRIMARY KEY (`equipment_accident_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='充电事故信息';


ALTER TABLE `xhpc_charging_station_power`
    ADD COLUMN `type` int(4) NULL DEFAULT '0' COMMENT '是否推送 0 未推送 1已推送' AFTER `installed_total_power`;


CREATE TABLE `xhpc_user_vehicle` (
                                     `vehicle_id` bigint(20) NOT NULL,
                                     `app_user_id` bigint(20) DEFAULT NULL,
                                     `vehicle_name` varchar(10) DEFAULT NULL COMMENT '车牌',
                                     `type` int(4) DEFAULT NULL COMMENT '1.小型纯电车 2.小型混动电车 3.大型纯电车',
                                     `del_flag` char(1) DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
                                     `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
                                     `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                     `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
                                     `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                     `remark` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT '备注',
                                     `tenant_id` varchar(12) DEFAULT '000000' COMMENT '租户id',
                                     PRIMARY KEY (`vehicle_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='车牌';

